org.eclipse.incquery.runtime.rete.single

## Class EqualityFilterNode

- java.lang.Object
- - org.eclipse.incquery.runtime.rete.network.BaseNode
  - - org.eclipse.incquery.runtime.rete.network.StandardNode
    - - org.eclipse.incquery.runtime.rete.single.SingleInputNode
      - - org.eclipse.incquery.runtime.rete.single.FilterNode
        - - org.eclipse.incquery.runtime.rete.single.EqualityFilterNode

- All Implemented Interfaces:
    Node, Receiver, Supplier, Tunnel

      public class EqualityFilterNode
      extends FilterNode

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EqualityFilterNode(ReteContainer reteContainer, int[] indices)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `check(Tuple ps)` Abstract filtering predicate.

    - ### Methods inherited from class org.eclipse.incquery.runtime.rete.single.FilterNode

      `pullInto, update`

    - ### Methods inherited from class org.eclipse.incquery.runtime.rete.single.SingleInputNode

      `appendParent, assignTraceInfo, getParents, propagatePullInto, removeParent`

    - ### Methods inherited from class org.eclipse.incquery.runtime.rete.network.StandardNode

      `appendChild, constructIndex, getPulledContents, getReceivers, removeChild`

    - ### Methods inherited from class org.eclipse.incquery.runtime.rete.network.BaseNode

      `acceptPropagatedTraceInfo, getContainer, getNodeId, getTag, getTraceInfos, setTag, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.incquery.runtime.rete.network.Supplier

      `appendChild, constructIndex, getPulledContents, getReceivers, removeChild`

    - ### Methods inherited from interface org.eclipse.incquery.runtime.rete.network.Node

      `acceptPropagatedTraceInfo, getContainer, getNodeId, getTag, getTraceInfos, setTag`

- - ### Constructor Detail

    - #### EqualityFilterNode

          public EqualityFilterNode(ReteContainer reteContainer,
                                    int[] indices)

      Parameters:
        `reteContainer` -
        `indices` - indices of the Tuple that should hold equal values

  - ### Method Detail

    - #### check

          public boolean check(Tuple ps)

      Description copied from class: `FilterNode`
      Abstract filtering predicate. Expected to be stateless.
      Specified by:
        `check` in class `FilterNode`
      Parameters:
        `ps` - the matching to be checked.
      Returns:
        true if and only if the parameter matching is allowed to pass through this node.